Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 50)
+++ /trunk/Makefile	(revision 51)
@@ -76,9 +76,11 @@
 install : pvoconvert pvosummary
 	cp pvoconvert.x $(INSTALLDIR)/pvoconvert
-	cp pvosummary.x $(INSTALLDIR)
-	cp pvosummary $(INSTALLDIR)
+	cp pvosummary.x $(INSTALLDIR)/pvosummary
 
 pvosummary : $(BASE)/pvosummary.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
 	$(CXX) -o pvosummary.x $(BASE)/pvosummary.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
+
+pvosummary2 : $(BASE)/pvosummary-glob.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
+	$(CXX) -o pvosummary2.x $(BASE)/pvosummary-glob.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS) $(LIBS)
 
 testNewPSRF : $(TEST)/testNewPsrfits.o $(HEADER) $(BLOCK) $(PSRFITS) $(UTILS)
Index: /trunk/Makefile.psr
===================================================================
--- /trunk/Makefile.psr	(revision 50)
+++ /trunk/Makefile.psr	(revision 51)
@@ -15,11 +15,13 @@
 
 # Also fix the library so that we use the correct version.
-# LDFLAGS := -L$(PSRHOME)/$(LOGIN_ARCH)/lib -lcfitsio #$(LDFLAGS)
- LDFLAGS := $(LDFLAGS) -lcfitsio -lm
+ LDFLAGS := -L$(PSRHOME)/$(LOGIN_ARCH)/lib -lcfitsio #$(LDFLAGS)
+# LDFLAGS := $(LDFLAGS) -lcfitsio -lm
 
-PROGRAMS = pvoconvert.C
+PROGRAMS = pvoconvert.C pvosummary.C
 
 pvoconvert.srcs = pvo-header.C  pvo-block.C  pvo-utils.C pvo-FITS.C  pvo-FITS-fileIO.C  
 
+pvosummary.srcs = pvo-header.C  pvo-block.C  pvo-utils.C pvo-FITS.C  pvo-FITS-fileIO.C  
+
 include $(LOCAL_ROOT)/include/Makefile.extended
 
Index: /trunk/install_to_psr.sh
===================================================================
--- /trunk/install_to_psr.sh	(revision 50)
+++ /trunk/install_to_psr.sh	(revision 51)
@@ -13,4 +13,5 @@
 cp Makefile.psr           $PSRDEST/Makefile
 cp src/pvoconvert.cc      $PSRDEST/pvoconvert.C
+cp src/pvosummary.cc      $PSRDEST/pvosummary.C
 cp src/pvo-header.cc      $PSRDEST/pvo-header.C
 cp src/pvo-block.cc       $PSRDEST/pvo-block.C
